/* Table of constant values */

static int c__4 = 4;
static int c__1 = 1;
static int c__2 = 2;
static int c__0 = 0;
static int c__8 = 8;

int main(void)
{
    /* Initialized data */
    static float x[4] = { 2.f,3.f,4.f,5.f };
    static float y[4] = { 2.f,3.f,5.f,6.f };
    static float fxa[4] = { 24.f,36.f,60.f,72.f };
    static float fxb[4] = { 60.f,90.f,150.f,180.f };

    /* System generated locals */
    float r__1;

    /* Local variables */
    extern int iac2r_c(float *, int *, float *, int *, float *, int *,
                       int *, int *, int *, int *, float *, int *, float *,
                       int *, float *, int *, float *, float *, float *,
                       float *, int *, int *, float *);
    static int i__, j;
    static float cy[8], tx[8], ty[8], cxy[64] /* was [8][8] */,
                                      fxy[16] /* was [4][4] */;

#define cxy_ref(a_1,a_2) cxy[(a_2)*8 + a_1 - 9]
#define fxy_ref(a_1,a_2) fxy[(a_2)*4 + a_1 - 5]

    for (i__ = 1; i__ <= 4; ++i__) {
        for (j = 1; j <= 4; ++j) {
/* Computing 3rd power */
            r__1 = x[i__ - 1];
            fxy_ref(i__, j) = y[j - 1] * (r__1 * (r__1 * r__1));
/* L10: */
        }
    }
    iac2r_c(x, &c__4, y, &c__4, fxy, &c__4, &c__4, &c__1, &c__1, &c__1, fxa,
            &c__2, fxb, &c__0, x, &c__0, x, tx, ty, cxy, &c__8, &c__8, cy);

    printf("\n  tx = %8.2f %8.2f %8.2f %8.2f %8.2f %8.2f %8.2f %8.2f \n",
                tx[0], tx[1], tx[2], tx[3], tx[4], tx[5], tx[6], tx[7]);
    printf("\n  ty = %8.2f %8.2f %8.2f %8.2f %8.2f %8.2f %8.2f %8.2f \n",
                ty[0], ty[1], ty[2], ty[3], ty[4], ty[5], ty[6], ty[7]);
    printf("\n  cxy \n");
    for (i__ = 1; i__ <= 6; ++i__) {
       printf("\n %9.2f %9.2f %9.2f %9.2f %9.2f %9.2f \n",
              cxy_ref(i__,1), cxy_ref(i__,2), cxy_ref(i__,3), cxy_ref(i__,4),
              cxy_ref(i__,5), cxy_ref(i__,6));
    }
    return ;
} /* main */

#undef fxy_ref
#undef cxy_ref
